tzj_2008
tzj_2008
采纳率100%
2019-09-04 16:57

CentOS编译LLVM遇到的HOST GCC版本问题

10
已采纳

操作系统原来自带的gcc版本是4.8.5,因为安装llvm要求是5.1以上版
本,所以后来正常安装了GCC8.3.0,CMAKE 3.12.1,然后下载llvm-project,按照如下链接指示安装:
http://llvm.org/docs/CMake.html
发现执行到"cmake path/to/llvm/source/root"时报错。错误信息如下:
[root@jzl-cloud-01 llvm]# cmake -DCMAKE_BUILD_TYPE=Release -DLLVM_TARGETS_TO_BUILD=X86 /home/falcon/h265/llvm-project/llvm
-- Could NOT find Z3: Found unsuitable version "0.0.0", but required is at least "4.7.1" (found Z3_LIBRARIES-NOTFOUND)
CMake Error at cmake/modules/CheckCompilerVersion.cmake:38 (message):
Host GCC version must be at least 5.1, your version is 4.8.5.
Call Stack (most recent call first):
cmake/modules/CheckCompilerVersion.cmake:48 (check_compiler_version)
cmake/config-ix.cmake:13 (include)
CMakeLists.txt:624 (include)

-- Configuring incomplete, errors occurred!
See also "/home/falcon/h265/llvm/CMakeFiles/CMakeOutput.log".
[root@jzl-cloud-01 llvm]# cmake /home/falcon/h265/llvm-project/llvm
-- Could NOT find Z3: Found unsuitable version "0.0.0", but required is at least "4.7.1" (found Z3_LIBRARIES-NOTFOUND)
CMake Error at cmake/modules/CheckCompilerVersion.cmake:38 (message):
Host GCC version must be at least 5.1, your version is 4.8.5.
Call Stack (most recent call first):
cmake/modules/CheckCompilerVersion.cmake:48 (check_compiler_version)
cmake/config-ix.cmake:13 (include)
CMakeLists.txt:624 (include)

-- Configuring incomplete, errors occurred!
See also "/home/falcon/h265/llvm/CMakeFiles/CMakeOutput.log".

请问上面提到的HOST GCC版本过低的问题该如何解决?

  • 点赞
  • 写回答
  • 关注问题
  • 收藏
  • 复制链接分享
  • 邀请回答

1条回答

相关推荐